Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3916 - postrotate executes each time a wildcard is matched
Summary: postrotate executes each time a wildcard is matched
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: logrotate
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Erik Troan
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-06 15:03 UTC by astrope
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-11-23 16:18:04 UTC


Attachments (Terms of Use)

Description astrope 1999-07-06 15:03:04 UTC
When using wildcards in logrotate scripts such as /home/*/logs/access_log, the postrotate commands get executed each time the wildcard is matched, rather than executing once after the loop is finished. This has adverse effects on apache, especially when used with mod_ssl with virtual domains and certificates need to be reread and random bits regenerated. The killall -HUP httpd postrotate sometimes causes apache to die when many are sent in a short time.

Comment 1 Michael K. Johnson 1999-07-30 16:03:59 UTC
Reformatted to have line breaks to be easier to read:

When using wildcards in logrotate scripts such as
/home/*/logs/access_log, the postrotate commands get executed
each time the wildcard is matched, rather than executing once
after the loop is finished. This has adverse effects on apache,
especially when used with mod_ssl with virtual domains and
certificates need to be reread and random bits regenerated. The
killall -HUP httpd postrotate sometimes causes apache to die
when many are sent in a short time.

Comment 2 Erik Troan 2000-07-13 16:33:39 UTC
logrotate-3.4 allows you to specify "sharedscripts", which will cause the
scripts to be
executed exactly once.


Note You need to log in before you can comment on or make changes to this bug.